# ApplicationFramework
TKCDF
UTL

# UTL Class Reference

`#include <UTL.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT TCollection_ExtendedString | xgetenv (const Standard_CString aCString)
static Standard_EXPORT Storage_Error | OpenFile (Storage_BaseDriver &aFile, const TCollection_ExtendedString &aName, const Storage_OpenMode aMode)
static Standard_EXPORT void | AddToUserInfo (const Handle(Storage_Data)&aData, const TCollection_ExtendedString &anInfo)
static Standard_EXPORT OSD_Path | Path (const TCollection_ExtendedString &aFileName)
static Standard_EXPORT TCollection_ExtendedString | Disk (const OSD_Path &aPath)
static Standard_EXPORT TCollection_ExtendedString | Trek (const OSD_Path &aPath)
static Standard_EXPORT TCollection_ExtendedString | Name (const OSD_Path &aPath)
static Standard_EXPORT TCollection_ExtendedString | Extension (const OSD_Path &aPath)
static Standard_EXPORT OSD_FileIterator | FileIterator (const OSD_Path &aPath, const TCollection_ExtendedString &aMask)
static Standard_EXPORT TCollection_ExtendedString | Extension (const TCollection_ExtendedString &aFileName)
static Standard_EXPORT TCollection_ExtendedString | LocalHost ()
static Standard_EXPORT TCollection_ExtendedString | ExtendedString (const TCollection_AsciiString &anAsciiString)
static Standard_EXPORT Standard_GUID | GUID (const TCollection_ExtendedString &anXString)
static Standard_EXPORT Standard_Boolean | Find (const Handle(Resource_Manager)&aResourceManager, const TCollection_ExtendedString &aResourceName)
static Standard_EXPORT TCollection_ExtendedString | Value (const Handle(Resource_Manager)&aResourceManager, const TCollection_ExtendedString &aResourceName)
static Standard_EXPORT Standard_Integer | IntegerValue (const TCollection_ExtendedString &anExtendedString)
static Standard_EXPORT Standard_CString | CString (const TCollection_ExtendedString &anExtendedString)
static Standard_EXPORT Standard_Boolean | IsReadOnly (const TCollection_ExtendedString &aFileName)

## Member Function Documentation

static Standard_EXPORT void UTL::AddToUserInfo | ( | const Handle(Storage_Data)& | aData,
|  | const TCollection_ExtendedString & | anInfo
| ) | `[static]`

static Standard_EXPORT Standard_CString UTL::CString | ( | const TCollection_ExtendedString & | anExtendedString | ) | `[static]`

static Standard_EXPORT TCollection_ExtendedString UTL::Disk | ( | const OSD_Path & | aPath | ) | `[static]`

static Standard_EXPORT TCollection_ExtendedString UTL::ExtendedString | ( | const TCollection_AsciiString & | anAsciiString | ) | `[static]`

static Standard_EXPORT TCollection_ExtendedString UTL::Extension | ( | const TCollection_ExtendedString & | aFileName | ) | `[static]`

static Standard_EXPORT TCollection_ExtendedString UTL::Extension | ( | const OSD_Path & | aPath | ) | `[static]`

static Standard_EXPORT OSD_FileIterator UTL::FileIterator | ( | const OSD_Path & | aPath,
|  | const TCollection_ExtendedString & | aMask
| ) | `[static]`

static Standard_EXPORT Standard_Boolean UTL::Find | ( | const Handle(Resource_Manager)& | aResourceManager,
|  | const TCollection_ExtendedString & | aResourceName
| ) | `[static]`

static Standard_EXPORT Standard_GUID UTL::GUID | ( | const TCollection_ExtendedString & | anXString | ) | `[static]`

static Standard_EXPORT Standard_Integer UTL::IntegerValue | ( | const TCollection_ExtendedString & | anExtendedString | ) | `[static]`

static Standard_EXPORT Standard_Boolean UTL::IsReadOnly | ( | const TCollection_ExtendedString & | aFileName | ) | `[static]`

static Standard_EXPORT TCollection_ExtendedString UTL::LocalHost | ( |  | ) | `[static]`

static Standard_EXPORT TCollection_ExtendedString UTL::Name | ( | const OSD_Path & | aPath | ) | `[static]`

static Standard_EXPORT Storage_Error UTL::OpenFile | ( | Storage_BaseDriver & | aFile,
|  | const TCollection_ExtendedString & | aName,
|  | const Storage_OpenMode | aMode
| ) | `[static]`

void UTL::operator delete | ( | void * | anAddress | ) | `[inline]`

void* UTL::operator new | ( | size_t | size | ) | `[inline]`

void* UTL::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT OSD_Path UTL::Path | ( | const TCollection_ExtendedString & | aFileName | ) | `[static]`

static Standard_EXPORT TCollection_ExtendedString UTL::Trek | ( | const OSD_Path & | aPath | ) | `[static]`

static Standard_EXPORT TCollection_ExtendedString UTL::Value | ( | const Handle(Resource_Manager)& | aResourceManager,
|  | const TCollection_ExtendedString & | aResourceName
| ) | `[static]`

static Standard_EXPORT TCollection_ExtendedString UTL::xgetenv | ( | const Standard_CString | aCString | ) | `[static]`

The documentation for this class was generated from the following file:

- UTL.hxx